SUSE SLED15 / SLES15 / openSUSE 15 セキュリティ更新 : openssl-3 (SUSE-SU-2024:1634-1)

medium Nessus プラグイン ID 197046

Language:

概要

リモートの SUSE ホストにセキュリティ更新がありません。

説明

リモートの SUSE Linux SLED15/ SLED_SAP15 / SLES15/ SLES_SAP15 / openSUSE 15 ホストには、SUSE-SU-2024:1634-1 のアドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- 問題の要約: 一部のデフォルト以外の TLS サーバー設定は、TLSv1.3 セッションの処理時に無制限のメモリ増加を引き起こす可能性があります。影響の要約: 攻撃者は特定のサーバー設定を悪用して、サービス拒否につながる無制限のメモリ増加を引き起こす可能性があります。この問題は、デフォルト以外の SSL_OP_NO_TICKET オプションが使用されている場合、TLSv1.3 で発生する可能性があります (ただし、early_data サポートも構成されており、デフォルトのリプレイ防止保護が使用されている場合は発生しません)。この場合、特定の条件下で、セッションキャッシュが不適切な状態になり、いっぱいになると適切にフラッシュされなくなる可能性があります。セッションキャッシュは無制限に増加し続けます。悪意のあるクライアントが、この失敗のシナリオを故意に作成して、サービス拒否を強制する可能性があります。また、通常の操作で偶然に発生することもあります。この問題の影響を受けるのは、TLSv1.3 をサポートする TLS サーバーのみです。TLS クライアントには影響しません。3.2、3.1、3.0 の FIPS モジュールは、この問題の影響を受けません。OpenSSL 1.0.2 もこの問題の影響を受けません。
(CVE-2024-2511)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

影響を受けるパッケージを更新してください。

参考資料

https://bugzilla.suse.com/1222548

https://www.suse.com/security/cve/CVE-2024-2511

https://lists.suse.com/pipermail/sle-updates/2024-May/035255.html

プラグインの詳細

深刻度: Medium

ID: 197046

ファイル名: suse_SU-2024-1634-1.nasl

バージョン: 1.0

タイプ: local

エージェント: unix

公開日: 2024/5/15

更新日: 2024/5/15

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

基本値: 5.4

現状値: 4

ベクトル: CVSS2#AV:N/AC:H/Au:N/C:N/I:N/A:C

CVSS スコアのソース: CVE-2024-2511

CVSS v3

リスクファクター: Medium

基本値: 5.9

現状値: 5.2

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libopenssl-3-devel, p-cpe:/a:novell:suse_linux:libopenssl3, cpe:/o:novell:suse_linux:15, p-cpe:/a:novell:suse_linux:openssl-3

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2024/5/14

脆弱性公開日: 2024/4/8

参照情報

CVE: CVE-2024-2511

SuSE: SUSE-SU-2024:1634-1